# cgminit.h File Reference

`#include "cgmmach.h"`
`#include "cgmtypes.h"`
`#include "cgmpar.h"`
`#include "cgmelem.h"`
`#include "cgmstruc.h"`
`#include "cgmerr.h"`

## Variables

Enum | cgmstate = MF_CLOSED
Logical | cgmterm = FALSE
Logical | cgmEOF = FALSE
Logical | cgmfinished = FALSE
Code | st_start = 0x1b58
Code | st_term = 0x1b5c
const struct commands | cgmelement []
const struct char_defaults | chardef
char_defaults mfchar mfichar curichar curchar | oldchar
const struct text_defaults | textdef
text_defaults mftext mfitext curitext | curtext
const struct bin_defaults | bindef
bin_defaults mfbin mfibin curibin | curbin
const struct defaults | commondef
defaults mf cur | old
const struct attributes | defatt
attributes mfatt curatt | oldatt
flags | att
Int | cgmerrcount = ERROR_MAX
Logical | cgmralgks = DEFRALGKSGDP
Logical | cgmralbin = FALSE
Logical | cgmverbose = DEFVERBOSE
Logical | cgmquiet = DEFQUIET
Logical | cgmlist = FALSE
cgmfont | cgmfonts
cgmcset | cgmcsets
long * | null = NULL
const RGBcolour | GKScol [256]

## Variable Documentation

struct flags att

const struct bin_defaults bindef

Initial value:

     {
          16,
          16,
          16,
          1,
          1,
          16,
          16,
          16,
          16,
           8,
           8,
           {0, 0, 0, 0},
           {1, 255, 255, 255}
      }

struct cgmcset cgmcsets

const struct commands cgmelement[]

Logical cgmEOF = FALSE

Int cgmerrcount = ERROR_MAX

Logical cgmfinished = FALSE

struct cgmfont cgmfonts

Logical cgmlist = FALSE

Logical cgmquiet = DEFQUIET

Logical cgmralbin = FALSE

Logical cgmralgks = DEFRALGKSGDP

Enum cgmstate = MF_CLOSED

Logical cgmterm = FALSE

Logical cgmverbose = DEFVERBOSE

const struct char_defaults chardef

Initial value:

     {
          10,
          10,
          20,
          {10, -10, -10, 1},
          {10, -10, -10, 1},
          6,
          10,
          {0, 0, 0, 0},
          {1, 63, 63, 63},
          0, 1, 1
      }

const struct defaults commondef

struct bin_defaults mfbin mfibin curibin curbin

struct text_defaults mftext mfitext curitext curtext

const struct attributes defatt

const RGBcolour GKScol[256]

long* null = NULL

struct defaults mf cur old

struct attributes mfatt curatt oldatt

struct char_defaults mfchar mfichar curichar curchar oldchar

Code st_start = 0x1b58

Code st_term = 0x1b5c

const struct text_defaults textdef

Initial value:

     {
          -32767,
           32767,
               0,
             127,
        -32767.0F,
         32767.0F,
               4,
          {-32767,  0.0F},
          { 32767,  1.0F},
               4,
             127,
             255,
       {0, 0, 0, 0},
       {1, 255, 255, 255}
      }